Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.job
Class MonitorJob

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.sun.management.oss.impl.job.MonitorJob

All Implemented Interfaces:
  javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, java.lang.Runnable

Direct Known Subclasses:
  ByClassesMonitorJob

public abstract class MonitorJob
extends javax.management.NotificationBroadcasterSupport
implements java.lang.Runnable

A `MonitorJob` object is created each time a new Performance Monitor is created. Copyright (c) 2001 Ericsson

Version:
  1.0
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi

Field Summary
`static int` | `ACTIVE_OFF_DUTY`
`static int` | `ACTIVE_ON_DUTY`
`static int` | `SUSPENDED`

Constructor Summary
`MonitorJob()`

Method Summary
`void` | `begin()`
`javax.management.MBeanNotificationInfo[]` | `getNotificationInfo()` Returns a NotificationInfo object containing the name of the Java class of the notification and the notification types sent by this notification broadcaster.
`void` | `quit()`
`void` | `resume()`
`void` | `run()`
`void` | `stop()` Stop the thread
`void` | `suspend()`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTIVE_ON_DUTY

    public static final int ACTIVE_ON_DUTY

See Also:
  Constant Field Values

### ACTIVE_OFF_DUTY

    public static final int ACTIVE_OFF_DUTY

See Also:
  Constant Field Values

### SUSPENDED

    public static final int SUSPENDED

See Also:
  Constant Field Values

Constructor Detail

### MonitorJob

    public MonitorJob()

Method Detail

### stop

    public void stop()

  Stop the thread

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### resume

    public void resume()

### suspend

    public void suspend()

### begin

    public void begin()

### quit

    public void quit()

### getNotificationInfo

    public javax.management.MBeanNotificationInfo[] getNotificationInfo()

  Returns a NotificationInfo object containing the name of the Java class of the notification and the notification types sent by this notification broadcaster.

  Specified by:
    `getNotificationInfo` in interface `javax.management.NotificationBroadcaster`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD